Author Topic: 2.6.12 can't compile on Fedora 24  (Read 1596 times)

Vascom

  • Newbie
  • *
  • Posts: 3
2.6.12 can't compile on Fedora 24
« on: July 05, 2016, 07:56:38 AM »
In file included from /builddir/build/BUILD/avidemux_2.6.12/avidemux_core/ADM_coreUtils/src/prefs.cpp:51:0:
/builddir/build/BUILD/avidemux_2.6.12/avidemux_core/ADM_coreUtils/src/prefs2_pref.h:60:1: error: narrowing conversion of '4294967295l' from 'long int' to 'float' inside { } [-Wnarrowing]

Full build log http://koji.russianfedora.pro/kojifiles/work/tasks/2982/82982/build.log

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10946
Re: 2.6.12 can't compile on Fedora 24
« Reply #1 on: July 06, 2016, 09:26:54 AM »
Please try with git head

Vascom

  • Newbie
  • *
  • Posts: 3
Re: 2.6.12 can't compile on Fedora 24
« Reply #2 on: July 06, 2016, 09:34:46 AM »
Please, give me link to git repo.

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10946

Vascom

  • Newbie
  • *
  • Posts: 3
Re: 2.6.12 can't compile on Fedora 24
« Reply #4 on: July 06, 2016, 12:04:35 PM »
With git head version another error:
cmake/cmake_compile_check/CheckFunctionExists.c:11: undefined reference to `faacDecInit'

Full log http://koji.russianfedora.pro/kojifiles/work/tasks/3072/83072/build.log
Using faad2-devel 2.7 http://koji.russianfedora.pro/kojifiles/work/tasks/3072/83072/root.log

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10946
Re: 2.6.12 can't compile on Fedora 24
« Reply #5 on: July 06, 2016, 12:38:34 PM »
It is harmless
The actual error is probably that one
CMake Error at ADM_audioDecoders/ADM_ad_ac3/CMakeLists.txt:3 (ADD_SUBDIRECTORY):
  add_subdirectory given source "ADM_liba52" which is not an existing